The target supports RTP/RTCP stream proxy for clients hidden behind NAT
or non routable each other at all.
A switchboard must be declared, the switchboard is uniquely identified by 
IP and port of the first port in cluster of dedicated ports.
The target is valid for the UDP protocol only, use 
.BI -p upd
option. State when call is established then two switcboards are connected is called
a session.

.TP
.BI "--addr " "ip"
Address of RTP/RTCP proxy switcboard
.TP
.BI "--port " "port"
Start port number of cluster
.TP
.BI "--max-sess " "num"
Max.number of sessions. Each session requires two ports for each diraction.
.TP
.BI "--resurrection-timeout " "sec"
When session is marked as expired or destroyed then RTPPROXY won't try to
reuse free slot at  least for the resurrection timeout. It increases
probability that delayed packets of old session will mystify new session.
.P
The RTPPROXY target is meaningful only for UDP packets, Correct specification
of matching rules improves efficiency. There must be passed UDP packets
for PREROUTING, POSTROUTING, INPUT and OUTPUT to our target. If the packet fits
a session then is processed (redirected or dropped) othewise left unchanged 
(CONTINUE). Note that `mangle' table must be specified. Note that
INPUT and OUTPUT are required only if a local address at RTP/RTCP proxy may
be legal target of packet. Such scenario is not too much probable.
We can create extra chain and use it as procedure. Consider filtering criteria
(especially for FORWARD) as well.

In PREROUTING and OUTPUT phase must be changed destination address from address of the switchboard (A) to address
of remote RTP/RTCP client (B). POSTROUTING and INPUT must change source address from remote RTP/RTCP client (A)
to the switchboard (B). 

.B Example:

# load kernel module
  modprobe -i xt_RTPPROXY

# define switchboard
  iptables -t mangle -N iptrtpproxy
  iptables -t mangle -A iptrtpproxy -j RTPPROXY --addr 1.2.3.4 --port 50000 --max-sess 100 -p udp

# add it to a chain in PREROUTING, POSTROUTING, INPUT and OUTPUT, specify matching conditions, etc.
  iptables -t mangle -A PREROUTING -j iptrtpproxy
  iptables -t mangle -A POSTROUTING -j iptrtpproxy
  iptables -t mangle -A INPUT -j iptrtpproxy
  iptables -t mangle -A OUTPUT -j iptrtpproxy

# don't forget to enable forwarding
  iptables -I FORWARD 1 -j ACCEPT -p udp
  echo "1"> /proc/sys/net/ipv4/ip_forward

# if throttling feature is used then drop marked packets
  iptables -I FORWARD -m mark -p udp --mark 1 -j DROP


