%define kernel_ver 2.6.18
%define kernelmoduledir /lib/modules/%kernel_ver/kernel
%define iptablesmoduledir /lib/iptables
%define docdir /usr/share/doc

# disable strip
#%define __os_install_post /usr/lib/rpm/redhat/brp-compress

Summary:      netfilter/iptables RTPPROXY
Name:         netfilter-rtpproxy
Version:      1.3.5
Release:      0.5
Copyright:    GPL
Group:        System Environment/Base
Source:       http://www.2p.cz/files/2p.cz/downloads/%{name}-%{version}-%{release}.tgz
URL:          http://www.2p.cz/en/netfilter_rtp_proxy/
Vendor:       2p plus
BuildRoot:    /var/tmp/%{name}-%{version}-root
Requires:     iptables kernel >= 2.6.18 perl perl-Config-IniFiles
BuildPrereq:  make gcc sed tar rpm-build kernel-devel iptables-devel glibc-devel glibc-common

%description
Adds a RTPPROXY target to netfilter (xtables), which enables connecting
two RTP/RTCP clients where at least one is hidden behind the NAT and have no
public IP address. It's primary intended for VoIP telephony driven by SIP. High level
SIP router demands a RTP session and passes parameters of
allocated session to VoIP clients in SDP. Clients will
send all media streams, i.e. UDP packets, to proxy with public address and
RTPPROXY will pass data to opposite client.

%prep
%setup -n iptables-1.3.5
cd patch-o-matic/xt_RTPPROXY
make proper

%build
cd patch-o-matic/xt_RTPPROXY
make all PARAMS=Makefile.params

%install
rm -rf %{buildroot}
cd patch-o-matic/xt_RTPPROXY
make copy_files \
	PARAMS=Makefile.params \
	etcdir=%{buildroot}/%{_sysconfdir} \
	mandir=%{buildroot}/%{_mandir} \
	sbindir=%{buildroot}/%{_sbindir} \
	docdir=%{buildroot}/%{docdir} \
	kernelmoduledir=%{buildroot}/%{kernelmoduledir} \
	iptablesmoduledir=%{buildroot}/%{iptablesmoduledir}

%clean
rm -rf %{buildroot}

%post
echo "%name: post install: depmod"
depmod
ldconfig
%postun
echo "%name: post uninstall: depmod"
depmod
ldconfig %{iptablesmoduledir}

%files
%defattr(-,root,root)
%{kernelmoduledir}/net/netfilter/xt_RTPPROXY.ko
%{iptablesmoduledir}/libipt_RTPPROXY.so
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/*
%doc %{_mandir}/man8/*
%doc %{docdir}/iptables/netfilter-rtpproxy-howto.txt

#/usr/include/linux/netfilter/xt_RTPPROXY.h

%changelog

* Wed Jun 10 2009 Tomas Mandys <tomas.mandys@2p.cz>
- First version of the spec file.
